<script lang="ts">
	import type { Product } from '../../utils/types';

	export let product: Product;

	let items = ['Description', 'Ingrédients', 'Allergènes'];
	let selectedItem: number = 0;

	const colorShade: string[] = ['bg-primary-800', 'bg-primary-700', 'bg-primary-600'];

	const numberColRecipe: number = product.recipe.length > 8 ? 8 : product.recipe.length;
</script>

<div class="flex flex-col w-full gap-2">
	<!-- TABS -->
	<div class="flex flex-row justify-between md:justify-start w-full border-b border-b-primary-800">
		{#each items as item, index}
			<button
				class="flex flex-col {selectedItem === index
					? 'border-b-2 border-b-primary-600'
					: ''} py-1 px-2"
				on:click={() => {
					selectedItem = index;
				}}
			>
				<h1>{item}</h1>
			</button>
		{/each}
	</div>
	<!-- Contenu -->
	<div>
		{#if selectedItem === 0}
			<p>{product.description}</p>
		{:else if selectedItem === 1}
			<!-- <ul class="flex gap-2">
				{#each product.recipe as ingredient, index}
					<li class="w-fit">{ingredient}</li>
				{/each}
			</ul> -->
			<div
				class="grid grid-cols-2 sm:grid-cols-4 md:grid-cols-6 lg:grid-cols-{numberColRecipe} gap-4"
			>
				{#each product.recipe as ingredient, index}
					<p
						class="text-center p-2 rounded-lg bg-opacity-60 text-gray-200
                            {colorShade[index % 3]}
                            "
					>
						{ingredient}
					</p>
				{/each}
			</div>
		{:else}
			<div
				class="grid grid-cols-2 sm:grid-cols-4 md:grid-cols-6 lg:grid-cols-{numberColRecipe} gap-4"
			>
				{#each product.allergens as allergen, index}
					<p
						class="text-center p-2 rounded-lg bg-opacity-60 text-gray-200
                            {colorShade[index % 3]}
                            "
					>
						{allergen}
					</p>
				{/each}
			</div>
		{/if}
	</div>
</div>

<style>
	.my-list {
		list-style: none;
		padding: 0;
		margin: 0;
	}

	.my-list li {
		padding: 10px;
		margin-bottom: 10px;
		border: 1px solid #ccc;
		border-radius: 5px;
	}

	.my-list li:hover {
		@apply opacity-80;
	}

	.my-list li::before {
		content: '•';
		margin-right: 10px;
		@apply text-primary-900;
	}
</style>
